import {
  createStyled
} from "./chunk-7PSYEHET.mjs";
import {
  EmotionCacheInjectionSymbol,
  EmotionCacheProvider,
  __unusafe_useEmotionCache,
  createCache,
  defaultCache,
  withEmotionCache
} from "./chunk-KSTMA6PQ.mjs";
import {
  tags
} from "./chunk-H3PCGWG4.mjs";
import {
  EmotionThemeContextSymbol,
  EmotionThemeProvider,
  createCacheWithTheme,
  useEmotionTheme,
  weakMemoize
} from "./chunk-FDVICBFK.mjs";
import "./chunk-5YS27QCP.mjs";
import "./chunk-INDHDMU3.mjs";

// src/index.tsx
var styled = createStyled.bind();
tags.forEach((tagName) => {
  styled[tagName] = styled(tagName);
});
var src_default = styled;
export {
  EmotionCacheInjectionSymbol,
  EmotionCacheProvider,
  EmotionThemeContextSymbol,
  EmotionThemeProvider,
  __unusafe_useEmotionCache,
  createCache,
  createCacheWithTheme as createThemeCache,
  src_default as default,
  defaultCache,
  useEmotionTheme,
  weakMemoize,
  withEmotionCache
};
